Bug 730180 - Can't push F15 x86_64 or RHEL 6.1 to ec2
Summary: Can't push F15 x86_64 or RHEL 6.1 to ec2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: imagefactory
Version: 0.3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
Assignee: Mike Orazi
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 03:33 UTC by scollier
Modified: 2011-12-08 13:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-12 21:42:25 UTC


Attachments (Terms of Use)
RHEL6.1 imagefactory..og failure (154.96 KB, application/octet-stream)
2011-08-12 03:36 UTC, scollier
no flags Details
another fresh install with same error (17.89 KB, application/octet-stream)
2011-08-12 20:06 UTC, scollier
no flags Details

Description scollier 2011-08-12 03:33:31 UTC
Description of problem:

On a clean install, can't push a F15 x86_64 or RHEL6.1 x86_64 image to Amazon ec2-us-east-1.  Getting software from beta channels from RHN.

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux Server release 6.1 (Santiago)
Linux cf-cloudengine.cloud.lab.eng.bos.redhat.com 2.6.32-131.6.1.el6.x86_64 #1 SMP Mon Jun 20 14:15:38 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
postgresql-8.4.7-2.el6.x86_64
mongodb-1.6.4-3.el6_0.x86_64
euca2ools-1.3.1-4.el6_0.noarch
package gsoap is not installed
ruby-1.8.7.299-7.el6_1.1.x86_64
rubygems-1.3.7-1.el6.noarch
deltacloud-core-0.3.9999-1308927004.2.el6.noarch
rubygem-deltacloud-client-0.3.1-1.el6.noarch
libdeltacloud-0.9-1.el6.x86_64
hail-0.8-0.2.gf9c5b967.el6_0.x86_64
puppet-2.6.6-1.el6_0.noarch
aeolus-configure-2.0.1-2.el6.noarch
condor-7.6.0-5dcloud.el6.x86_64
iwhd-0.97-1.el6.x86_64
imagefactory-0.4.1-1.el6.noarch
aeolus-conductor-daemons-0.3.0-3.el6.noarch
aeolus-conductor-0.3.0-3.el6.noarch


How reproducible:

On 1 system, then reinstalled, repeated, checked on separate system, reproduced.

Steps to Reproduce:
1. Configure Amazon provider account
2. Build image with:

# aeolus-image build --target ec2 --template /pub/projects/cloudforms/files/smc-f15_x86_64-temp.xml

# cat /pub/projects/cloudforms/files/smc-f15_x86_64-temp.xml
<template>
  <name>f15-x86_64</name>
  <os>
    <name>Fedora</name>
    <version>15</version>
    <arch>x86_64</arch>
    <install type='iso'>
      <iso>http://refarch.cloud.lab.eng.bos.redhat.com/pub/kits/os/Fedora/15/x86_64/Fedora-15-x86_64-DVD.iso</iso>
    </install>
  </os>
  <description>F15 x86_64 template</description>
</template>

3. List and Push image with:

# aeolus-image list --images
IMAGE ID                                 LASTEST PUSHED BUILD     NAME           TARGET     OS         OS VERSION     ARCH       DESCRIPTION             
5a8925c9-78dc-4481-89a6-29a77c056498                              f15-x86_64     ec2        Fedora     15             x86_64     F15 x86_64 template     


# aeolus-image push --id 5a8925c9-78dc-4481-89a6-29a77c056498 --provider ec2-us-east-1

  
Actual results:

/var/log/imagefactory.log shows "changed status from PUSHING to FAILED" and this error message on all 3 attempts:

2011-08-11 23:08:57,207 ERROR boto pid(7622) Message: <?xml version="1.0" encoding="UTF-8"?> <Response><Errors><Error><Code>InvalidGroup.InUse</Code><Message>There are active instances using security group 'imagefactory-696ae129-07f5-4059-932a-2a3ddcb3c4a1'</Message></Error></Errors><RequestID>13979c8a-1109-4dfe-8bfc-f4407e951518</RequestID></Response>


Expected results:

To push the image to ec2.

Additional info:

Attaching imagefactory.log files from both servers.

Comment 1 scollier 2011-08-12 03:36:24 UTC
Created attachment 517940 [details]
RHEL6.1 imagefactory..og failure

Comment 2 scollier 2011-08-12 20:06:02 UTC
Created attachment 518101 [details]
another fresh install with same error

Comment 3 scollier 2011-08-12 21:42:25 UTC
updated to imagefactory-0.4.1-2 solved the problem.

Comment 4 wes hayutin 2011-12-08 13:58:02 UTC
perm close


Note You need to log in before you can comment on or make changes to this bug.